Import a payment request file
post
/api/erp/integrations/resources/v1/payables/paymentRequest/files/import
Uploads a file to the specified location in the object store and asynchronously processes the payment request document for import into Payables interface tables.
Request
There are no request parameters for this operation.
Supported Media Types
- multipart/form-data
Root Schema : schema
Type:
Show Source
object-
file(required): string
(binary)
Payment request file to upload to Document IO.
-
flowCode: string
Name of the Document IO flow associated with the upload.Example:
FIN_AP_IMPORT_PAYABLES_PAYMENT_REQUEST -
payload: object
payload
Additional Properties Allowed:
trueAdditional metadata provided to Document IO for processing the payment request.
Nested Schema : payload
Type:
objectAdditional Properties Allowed:
trueAdditional metadata provided to Document IO for processing the payment request.
Response
Supported Media Types
- application/json
200 Response
The payment request import request was received successfully.
Root Schema : schema
Type:
Show Source
object-
links: array
links
Links associated with the payment request import request.
-
message(required): string
Message describing the result of submitting the payment request import request.Example:
Request successfully received. -
requestId(required): string
Unique request identifier or flow execution identifier assigned to the uploaded file. Use this value to track processing of the payment request.Example:
300100655797606 -
status(required): string
Status returned for the payment request import request. A value of SUCCESS indicates that the asynchronous processing request was accepted.Example:
SUCCESS
Nested Schema : links
Type:
arrayLinks associated with the payment request import request.
Show Source
Nested Schema : items
Type:
Show Source
object-
href(required): string
(uri)
Fully qualified URL for monitoring the import request.Example:
https://example.com/api/erp/integrations/resources/v1/payables/paymentRequest/requests/300100655797606 -
rel(required): string
Relationship between the link and the import request.Example:
collection -
resourcePath(required): string
Relative path used to monitor the import request.Example:
/requests/300100655797606
400 Response
Bad Request. The request parameters or uploaded file are invalid.
401 Response
Unauthorized. The bearer token is missing or invalid.
500 Response
An unexpected internal server error occurred.
Root Schema : schema
Type:
Show Source
object-
errorCode(required): integer
(int32)
Document IO error code that identifies the type of processing failure.Example:
4134 -
errorDescription(required): string
A brief description of an error.Example:
An unexpected error occurred. Please contact support.
Examples
The following example shows how to upload a supplier invoice file to Document IO by submitting a POST request on the REST resource using cURL.
curl --location 'https://servername.fa.us2.oraclecloud.com/api/erp/integrations/resources/v1/payables/paymentRequest/files/import' \ --header 'Authorization: Bearer <Bearer Token>' \ --form 'file=@<FILEPATH>' \ --form 'payload=<METADATA>' \ --form 'flowCode=<@<FILEPATH>>'
Response Body Example
The following shows an example of the response body in JSON format.
{
"status": "SUCCESS",
"message": "Request successfully received.",
"requestId": "300100655871592",
"links": [
{
"rel": "collection",
"href": "https://servername.fa.us2.oraclecloud.com/api/erp/integrations/resources/v1/payables/paymentRequest/requests/300100655871592",
"resourcePath": "/requests/300100655871592"
}
]
}